#include "partition.h"
#include <bits/stdc++.h>
#define f first
#define s second
#define pb push_back
#define mp make_pair
#define ll long long
using namespace std;
const ll N=2e6;
vector <int> ans,ans1;
std::vector<int> solve(std::vector<int> a) {
    
    ll n=a.size();
    ans.clear();
    if (n%4==0){
    	for (int i=0; i<n/4; i++){
    		ans.pb(i); ans.pb(n-1-i);
		}
		for (int i=n/4; i<n/2; i++){
    		ans.pb(i); ans.pb(n-1-i);
		}
		return ans;
	}
	if (n%4==1){
		for (int i=0; i<n/4; i++){
    		ans.pb(i); ans.pb(n-1-i);
		}
		ans.pb(n/2);
		for (int i=n/4; i<n/2; i++){
    		ans.pb(i); ans.pb(n-1-i);
		}
		return ans;
	}
	if (n%4==2){
		for (int i=0; i<n/4; i++){
    		ans.pb(i); ans.pb(n-1-i);
		}
		ans.pb(n/2);
		ans.pb(n/2-1);
		for (int i=n/4; i<n/2-1; i++){
    		ans.pb(i); ans.pb(n-1-i);
		}
		return ans;
	}
	if (n%4==3){
    	for (int i=0; i<n/4; i++){
    		ans.pb(i); ans.pb(n-1-i);
		}
		ans.pb(n/2);
		ans.pb(n/2-1);
		ans.pb(n/2+1);
		for (int i=n/4; i<n/2-1; i++){
    		ans.pb(i); ans.pb(n-1-i);
		}
		return ans;
	}
	
    
}
